How can I upgrade VSA when I have existing integrations